<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

$httphost = @$_SERVER['HTTP_HOST'];
$httpreferer = @$_SERVER['HTTP_REFERER'];
if (!eregi($httphost,$httpreferer) OR $httpreferer=="") {
	header("HTTP/1.1 404 Not Found");
	header("Status: 404 Not Found");
	exit;
} else {	
	//===========================================
	//Database: Connect
	//===========================================
	require_once("../../inc/inc_config.php");
	require_once("../../inc/inc_database.php");
	
	$dblink = new database();
	$dblink->connect();
	
	require_once("../../inc/inc_login.php");
	require_once("../../inc/inc_functions.php");
	require_once("../../inc/inc_bbcode.php");
	require_once("../../inc/inc_readConfig.php");
	
	global $siteConfig,$visitorInfo,$userid;
	
	//===========================================
	//SELECT LANGUAGE
	//===========================================
	include_once (file_exists("../../lang/".$siteConfig['language'].".php")) ? "../../lang/".$siteConfig['language'].".php" : "../../lang/".$siteConfig['default_language'].".php" ;
	
	if (!defined("_LANG_CHARSET_")) { define("_LANG_CHARSET_","utf-8"); }
	@header('Content-Type: text/html; charset='._LANG_CHARSET_);
	
	//===========================================
	$whr = (isset($_POST['whr'])) ? intval($_POST['whr']) : 0 ;
	$wid = (isset($_POST['wid'])) ? intval($_POST['wid']) : 0 ;
	$vote = (isset($_POST['vote'])) ? intval($_POST['vote']) : 0 ;
	$rnd = (isset($_POST['rnd'])) ? intval($_POST['rnd']) : 0 ;
	
	if ($dblink->get_num("SELECT id FROM memht_ratings WHERE whr=$whr AND wid=$wid AND ip='".$visitorInfo['ip']."'")==0) {
		$dblink->query("INSERT INTO memht_ratings (id,whr,wid,vote,ip) VALUES (null,'$whr','$wid','$vote','".$visitorInfo['ip']."')");
		
		//3.9.0
		if (isUser($userid)) { $dblink->query("UPDATE memht_utenti SET contributes=contributes+1 WHERE id=$userid"); addToGroups(2); }
		
		?>
		<script type="text/javascript">
			$('span.std_rating_info<?php echo $rnd; ?>').html('<?php echo _THANKFORCONTRIBUTE_; ?>');
		</script>
		<?php
	} else {
		?>
		<script type="text/javascript">
			$('span.std_rating_info<?php echo $rnd; ?>').html('<span style="color:#900;"><?php echo _ALREADYVOTED_; ?></span>');
		</script>
		<?php
	}
	
	//===========================================
	//Database: Disconnect
	//===========================================
	$dblink->disconnect();
}

?>